////////////Alliance Mission 1//////////////////////////////////
//Objectives: 2) Dig in at Nav Bravo                          //
//            3) Defeat the cybrids                           //
////////////////////////////////////////////////////////////////
$missionName = "aa1";
$WarnDistance=3500;

exec("PPcampaignStdLib.cs");

MissionBriefInfo missionBriefInfo
{
   campaign             = "Battle of Escandanni Chasm";             
   title                = "Stitch in Time";
   planet               = *IDSTR_PLANET_TITAN;     
   location             = "Eskandani Base"; 
   dateOnMissionEnd     = 28324785;               
   shortDesc            = "Reinforce the NTDF perimiter before it breaks";
   longDescRichText     = *IDSTR_AA1_BRF;
   media                = "";
   successDescRichText  = *IDSTR_AA1_DBRF;
   failDescRichText     = "As the cybrids swept into Eskandani, the Human Alliance realized it had nowhere to go...";
   nextMission          = "aa2";
   scrambleNextMission  = true;
   soundVol             = "";
   successWavFile       = "";
};

MissionBriefObjective missionObjective1         
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Assist the NTDF";
   longTxt              = "The NTDF is holding out at Nav Alpha. Arrive there before the perimiter gives way.";
   bmpName              = "aa1_obj1.bmp";
};

MissionBriefObjective missionObjective2
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Form and hold a new perimiter at Nav Bravo.";
   longTxt              = "";
   bmpName              = "";
};

MissionBriefObjective missionObjective3
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Roast the gliches";
   longTxt              = "Destroy as many cybrids as you can. Make their conquest of Titan a costly one.";
   bmpName              = "aa1_obj3.bmp";
};

Pilot scout
{
   id = 32;
   
   name = "Infiltrator One";
   skill = 1.0;
   accuracy = 0.2;
   aggressiveness = 0.0;
   activateDist = 300;
   deactivateBuff = 100;
   targetFreq = 2.0;
   trackFreq = 0.5;
   fireFreq = 1.5;
   LOSFreq = 0.1;
   orderFreq = 0.5;
};

pilot perilous
{
id=	35;
name=	"Perilous";
skill =	0.2;
accuracy =	0.6;
aggressiveness =	0.5;
activateDist =	800.0;
deactivateBuff =	300.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
};

pilot choker
{
id=	36;
name=	"Church";
skill =	0.4;
accuracy =	0.3;
aggressiveness =	0.5;
activateDist =	800.0;
deactivateBuff =	300.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
};

pilot marimba
{
id=	37;
name=	"Bo";
skill =	0.5;
accuracy =	0.3;
aggressiveness =	0.5;
activateDist =	800.0;
deactivateBuff =	300.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
};

pilot abstinance
{
id=	38;
name=	"Abstinance";
skill =	0.7;
accuracy =	0.9;
aggressiveness =	0.6;
activateDist =	800.0;
deactivateBuff =	300.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot gorg2
{
id=	39;
name=	"Johnson";
skill =	0.6;
accuracy =	0.5;
aggressiveness =	0.4;
activateDist =	800.0;
deactivateBuff =	300.0;
targetFreq =	2.0;
trackFreq =	0.3;
fireFreq =	0.2;
LOSFreq =	0.4;
orderFreq =	1.5;
};

pilot gorg1
{
id=	40;
name=	"Sonters";
skill =	0.8;
accuracy =	0.9;
aggressiveness =	0.6;
activateDist =	800.0;
deactivateBuff =	300.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot drea1
{
id=	41;
name=	"Dustmole";
skill =	0.4;
accuracy =	0.8;
aggressiveness =	0.6;
activateDist =	800.0;
deactivateBuff =	300.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};


pilot apoc1
{
id=	42;
name=	"Lice Roast";
skill =	0.6;
accuracy =	0.7;
aggressiveness =	0.9;
activateDist =	800.0;
deactivateBuff =	300.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot mino2
{
id=	43;
name=	"Lionshead";
skill =	0.6;
accuracy =	0.8;
aggressiveness =	0.7;
activateDist =	800.0;
deactivateBuff =	300.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot myrm1
{
id=	45;
name=	"Justice";
skill =	0.8;
accuracy =	0.8;
aggressiveness =	0.2;
activateDist =	750.0;
deactivateBuff =	250.0;
targetFreq =	1.0;
trackFreq =	0.2;
fireFreq =	0.6;
LOSFreq =	0.3;
orderFreq =	0.5;
};

pilot basil1
{
id=	46;
name=	"Flameboy";
skill =	1.0;
accuracy =	0.6;
aggressiveness =	0.6;
activateDist =	900.0;
deactivateBuff =	300.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.3;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot olyp1
{
id=	47;
name=	"El";
skill =	0.4;
accuracy =	1.0;
aggressiveness =	0.4;
activateDist =	950.0;
deactivateBuff =	400.0;
targetFreq =	1.0;
trackFreq =	0.5;
fireFreq =	0.1;
LOSFreq =	1.0;
orderFreq =	0.5;
};

pilot pala2
{
id=	48;
name=	"Undergun";
skill =	0.5;
accuracy =	0.8;
aggressiveness =	0.1;
activateDist =	800.0;
deactivateBuff =	250.0;
targetFreq =	2.0;
trackFreq =	0.1;
fireFreq =	2.5;
LOSFreq =	0.4;
orderFreq =	0.5;
};

function player::onAdd(%who)
{
	$THEPLAYER=%who;
}

function vehicle::onAdd(%what)
{
	if(playerManager::vehicleIdToPlayerNum(%what)==$THEPLAYER) {$Player=%what;}
}


function onMissionStart()
{
	$navAlpha= getObjectId("MissionGroup\\Nav\\navAlpha");
	$navBravo= getObjectId("MissionGroup\\Nav\\navBravo");
	$Scout= getObjectId("MissionGroup\\Garisson\\Scout");
	$AllianceTroops = getObjectId("MissionGroup\\Garisson");
	$cybridTroops = getObjectId("MissionGroup\\Cybrids\\Ground");
        $cybridsAround=10;
	$HQ= getObjectId("MissionGroup\\Base1\\taccom");
	schedule("setNavMarker($navAlpha, true, -1);",2); //Nav Alpha is the destination.
	setNavMarker($navBravo, false);			  //Nav Bravo has not yet been created.
	order($AllianceTroops, guard, $navAlpha);
	order($AllianceTroops, speed, high);
	order($Scout, guard, "MissionGroup\\ImpPaths\\Scouts");  // Scout sent to check on Cybrids
	alarmSoundsOn( getObjectId( "MissionGroup\\Base1\\taccom" ), "alarm2.wav" );
	schedule("initDistanceChecks();",5);
}

function initDistanceChecks()
{
	checkBoundary("leave", $Player, $navBravo, $Warndistance, "warn");
	checkBoundary("leave", $Player, $navBravo, 4500, "leave");
}
//////////////////Alliance Functions/////////////////////////////////////////////////////////
function scout::vehicle::onArrived(%who, %where)
{
	if (%where==getObjectId("MissionGroup\\ImpPaths\\Scouts\\marker2"))
	{
	echo("DEBUG: Marker 2");
	}

	else if (%where==getObjectId("MissionGroup\\ImpPaths\\Scouts\\marker3"))
	{
	order($Scout, cloak, true);
	say(0, $Scout,*IDSTR_AA1_SCT1);
	schedule("say(0, 0, *IDSTR_AA1_TCM1);",3.5);
	}

	else if (%where==getObjectId("MissionGroup\\ImpPaths\\Scouts\\marker4"))
	{
	say(0,$Scout,*IDSTR_AA1_SCT2);
	schedule("say(0,0,*IDSTR_AA1_TCM2);",12);
	schedule("say(0,0,*IDSTR_AA1_JST1);",100);
	schedule("say(0,0,\"Mission_obj_new.wav\");",15);
	schedule("setNavMarker($navAlpha, false, 0);",15);	//Nav Alpha meaningless.
	schedule("setNavMarker($navBravo, true, -1);",15);	//Nav Bravo established.
	missionObjective1.status=*IDSTR_OBJ_IGNORE;		//No perimiter to defend
	missionObjective2.status=*IDSTR_OBJ_ACTIVE;		//Must defend new perimiter
	schedule("order($AllianceTroops, clear, true);",4.5);
	schedule("createPerimiter();",15);
	order($cybridTroops, guard, $navBravo);
	order(getObjectID("MissionGroup\\Cybrids\\Ground\\van1"), speed, high);
	order(getObjectID("MissionGroup\\Cybrids\\Ground\\van2"), speed, high);
	order(getObjectID("MissionGroup\\Cybrids\\Ground\\van3"), speed, high);
	order(getObjectID("MissionGroup\\Cybrids\\Ground\\exec1"), speed, high);
	order(getObjectID("MissionGroup\\Cybrids\\Ground\\exec2"), speed, high);
	schedule("order($cybridTroops, speed, low);",130);
	}
}

function createPerimiter()
{
	for(%i=1; %i<8; %i++)
	{
		order("MissionGroup/Garisson/veh"@%i, guard, "MissionGroup/Perimiter/point"@%i);
	}
	order("MissionGroup/Garisson/Scout", guard, "MissionGroup/Perimiter/point8");
}
/////////////////Cybrid Functions/////////////////////////////////////////////////////////////
function cybrids::vehicle::onDestroyed(%destroyee, %destroyer)
{
	$cybridsAround= $cybridsAround-1;
	if ($cybridsAround==0)
	{
		missionObjective2.status=*IDSTR_OBJ_COMPLETED;
		missionObjective3.status=*IDSTR_OBJ_COMPLETED;
		schedule("forceToDebrief();",15);
		createPerimiter();
	}
	else
	{
		order($AllianceTroops, clear, true);
		order($AllianceTroops, attack, $CybridTroops);	//Prevents allies from splitting up
	}
}
////////////Base Functions////////////////////////////////////////////////////////////////////
function taccom::structure::onDestroyed(%destroyer, %destroyee)
{
	alarmSoundsOff(getObjectId("MissionGroup\\Base1\\taccom"));
	say(0,0,"GEN_STATIC01.WAV");
}