////////////Alliance Mission 3////////////////////////////////////
//Objectives:	1) Resist the renewed assault                   //			
//		2) General Dortegger must survive.		//
//////////////////////////////////////////////////////////////////
$missionName = "aa3";
$WarnDistance=2000;

exec("PPcampaignStdLib.cs");

MissionBriefInfo missionBriefInfo
{
   campaign             = "Battle of Eskandani Chasm";             
   title                = "The Wave";      
   planet               = *IDSTR_PLANET_TITAN;     
   location             = "Southwestern Front"; 
   dateOnMissionEnd     = 28324793;               
   shortDesc            = "Resist the cybrids";
   longDescRichText     = *IDSTR_AA3_BRF;
   media                = "aa3_brief.bmp";
   successDescRichText  = *IDSTR_AA3_DBRF;
   failDescRichText     = "Mission Failure. Titan fell before Prometheus was destroyed.";
   nextMission          = "aa4";
   scrambleNextMission  = true;
   soundVol             = "aa3.vol";
   successWavFile       = "";
};

MissionBriefObjective missionObjective1         
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Hold the perimiter";
   longTxt              = "Make sure the perimiter does not give way. There may be a tomorrow. Remember: Hope is our most "
			@"powerful weapon.";
   bmpName              = "aa3_obj1.bmp";
};

MissionBriefObjective missionObjective2
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Protect General Dortegger";
   longTxt              = "Make sure the General survives. He's the most valuable soldier we have left now that Cardinal "
			@"Spear is gone.";
   bmpName              = "aa3_obj2.bmp";
};


function player::onAdd(%who)
{
	$THEPLAYER=%who;
}

function vehicle::onAdd(%what)
{
	if(playerManager::vehicleIdToPlayerNum(%what)==$THEPLAYER) {$Player=%what;}
}

//Plenty of pilots.
pilot Bo
{
id=	32;
name=	"Bo";
skill =		0.4;
accuracy =	0.3;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
};

pilot Church
{
id=	33;
name=	"Church";
skill =	0.3;
accuracy =	0.5;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
generic =	true;
};

pilot shak
{
id=	34;
name=	"Shak";
skill =	0.5;
accuracy =	0.3;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
generic =	true;
};

pilot perilous
{
id=	35;
name=	"Perilous";
skill =	0.2;
accuracy =	0.6;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
};

pilot choker
{
id=	36;
name=	"Choker";
skill =	0.4;
accuracy =	0.3;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
};

pilot marimba
{
id=	37;
name=	"Marimba";
skill =	0.5;
accuracy =	0.3;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
};

pilot abstinance
{
id=	38;
name=	"Abstinance";
skill =	0.7;
accuracy =	0.9;
aggressiveness =	0.6;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot gorg2
{
id=	39;
name=	"Johnson";
skill =	0.6;
accuracy =	0.5;
aggressiveness =	0.4;
activateDist =	600.0;
deactivateBuff =	100.0;
targetFreq =	2.0;
trackFreq =	0.3;
fireFreq =	0.2;
LOSFreq =	0.4;
orderFreq =	1.5;
};

pilot gorg1
{
id=	40;
name=	"Sonters";
skill =	0.8;
accuracy =	0.9;
aggressiveness =	0.6;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot drea1
{
id=	41;
name=	"Dustmole";
skill =	0.4;
accuracy =	0.8;
aggressiveness =	0.6;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};


pilot apoc1
{
id=	42;
name=	"Lice Roast";
skill =	0.6;
accuracy =	0.7;
aggressiveness =	0.9;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot mino2
{
id=	43;
name=	"Lionshead";
skill =	0.6;
accuracy =	0.8;
aggressiveness =	0.7;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot scout
{
id=	44;
name=	"Infiltrator One";
skill =	1.0;
accuracy =	0.2;
aggressiveness =	0.2;
activateDist =	400.0;
deactivateBuff =	150.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot myrm1
{
id=	45;
name=	"Justice";
skill =	0.8;
accuracy =	0.8;
aggressiveness =	0.2;
activateDist =	400.0;
deactivateBuff =	25.0;
targetFreq =	1.0;
trackFreq =	0.2;
fireFreq =	0.6;
LOSFreq =	0.3;
orderFreq =	0.5;
};

pilot basil1
{
id=	46;
name=	"Flameboy";
skill =	1.0;
accuracy =	0.6;
aggressiveness =	0.6;
activateDist =	600.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.3;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot olyp1
{
id=	47;
name=	"El";
skill =	0.4;
accuracy =	1.0;
aggressiveness =	0.4;
activateDist =	700.0;
deactivateBuff =	250.0;
targetFreq =	1.0;
trackFreq =	0.5;
fireFreq =	0.1;
LOSFreq =	1.0;
orderFreq =	0.5;
};

pilot pala2
{
id=	48;
name=	"Undergun";
skill =	0.5;
accuracy =	0.8;
aggressiveness =	0.1;
activateDist =	800.0;
deactivateBuff =	300.0;
targetFreq =	2.0;
trackFreq =	0.1;
fireFreq =	2.5;
LOSFreq =	0.4;
orderFreq =	0.5;
};

pilot gen
{
id=	49;
name=	"Dortegger";
skill =	1.0;
accuracy =	0.7;
aggressiveness =	0.6;
activateDist =	400.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.1;
fireFreq =	0.2;
LOSFreq =	0.1;
orderFreq =	0.2;
};

pilot bombard
{
id=	50;
skill =	1.0;
accuracy =	0.0;
aggressiveness =	0.1;
activateDist =	1200.0;
deactivateBuff =	300.0;
targetFreq =	5.0;
trackFreq =	0.1;
fireFreq =	3.0;
LOSFreq =	1.0;
orderFreq =	1.0;
};

function onMissionStart()
{
	$navBravo= getObjectId("MissionGroup\\Nav\\navBravo");
	$N1def= getObjectId("MissionGroup\\Cybrids\\N1Def");
	$Nexus1= getObjectId("MissionGroup\\Cybrids\\Nexus1");
	$N2def= getObjectId("MissionGroup\\Cybrids\\N2Def");
	$Nexus2= getObjectId("MissionGroup\\Cybrids\\Nexus2");
	$N3def= getObjectId("MissionGroup\\Cybrids\\N3Def");
	$Nexus3= getObjectId("MissionGroup\\Cybrids\\Nexus3");
        $Invaders= getObjectId("MissionGroup\\Cybrids\\Ground");
	$CybridReinforcements= getObjectId("MissionGroup\\Cybrids\\Reinforce");
	$Gorg1= getObjectId("MissionGroup\\Garisson\\gorg1");	//KN
	$Gorg2= getObjectId("MissionGroup\\Garisson\\Gorg2");	//TR
	$Nike1= getObjectId("MissionGroup\\Garisson\\nike1");
	$Nike2= getObjectId("MissionGroup\\Garisson\\nike2");
	$RebArt= getObjectId("MissionGroup\\Garisson\\rebArtil");
	$Eman1= getObjectId("MissionGroup\\Garisson\\eman1");	//RB
	$Drea1= getObjectId("MissionGroup\\Garisson\\Drea1");	//PR
	$Drea2= getObjectId("MissionGroup\\Garisson\\Drea2");	//TIT
	$Pala1= getObjectId("MissionGroup\\Garisson\\Pala1");	//TR
	$Pala2= getObjectId("MissionGroup\\Garisson\\Pala2");	//TR
	$Mino1= getObjectId("MissionGroup\\Garisson\\Mino1");	//TR
	$Mino2= getObjectId("MissionGroup\\Garisson\\Mino2");	//KN
	$Scout= getObjectId("MissionGroup\\Garisson\\Scout");	//KN
	$Aven1= getObjectId("MissionGroup\\Garisson\\Aven1");	//RB
	$Myrm1= getObjectId("MissionGroup\\Garisson\\Myrm1");	//KN
	$Basil1= getObjectId("MissionGroup\\Garisson\\Basi1");	//KN
	$Apoc1= getObjectId("MissionGroup\\Garisson\\Apoc1");	//PR
	$Apoc2= getObjectId("MissionGroup\\Garisson\\Apoc2");	//KN
	$Supr1= getObjectId("MissionGroup\\Garisson\\Supr1");
	$Disr1= getObjectId("MissionGroup\\Garisson\\Disr1");	//TR
	$Olyp1= getObjectId("MissionGroup\\Garisson\\Olyp1");
	$Gen= getObjectId("MissionGroup\\Garisson\\Gen");
	$RF1= getObjectId("MissionGroup\\REINFORCEMENTS\\RF1");
	$RF2= getObjectId("MissionGroup\\REINFORCEMENTS\\RF2");
	$RF3= getObjectId("MissionGroup\\REINFORCEMENTS\\RF3");
	$RF4= getObjectId("MissionGroup\\REINFORCEMENTS\\RF4");
	$RF5= getObjectId("MissionGroup\\REINFORCEMENTS\\RF5");
	$RF6= getObjectId("MissionGroup\\REINFORCEMENTS\\RF6");
	$Sovereign=getObjectId("MissionGroup\\Utilities\\Sove1");
	$Surveyor1=getObjectId("MissionGroup\\Utilities\\Surv1");
	$Surveyor2=getObjectId("MissionGroup\\Utilities\\Surv2");
	$Surveyor3=getObjectId("MissionGroup\\Utilities\\Surv3");
	$Surveyor4=getObjectId("MissionGroup\\Utilities\\Surv4");
	$Surveyor5=getObjectId("MissionGroup\\Utilities\\Surv5");
	$TH1= getObjectId("MissionGroup\\Garisson\\Thumper1");
	$TH2= getObjectId("MissionGroup\\Garisson\\Thumper2");
        $cybridsLeft = 19;
	$battleBegins=false;
	playAnimSequence($Sovereign,1,true);	//Utility Vehicles start operating
	playAnimSequence($Surveyor1,2,true);
	playAnimSequence($Surveyor2,2,true);
	playAnimSequence($Surveyor3,2,true);
	playAnimSequence($Surveyor4,2,true);
	playAnimSequence($Surveyor5,2,true);
	playAnimSequence("MissionGroup\\Cybrids\\N1Def\\jamm1", 2, true);
	playAnimSequence("MissionGroup\\Cybrids\\N1Def\\jamm2", 2, true);
	playAnimSequence("MissionGroup\\Cybrids\\N2Def\\jamm1", 2, true);
	playAnimSequence("MissionGroup\\Cybrids\\N2Def\\jamm2", 2, true);
	playAnimSequence("MissionGroup\\Cybrids\\N3Def\\jamm1", 2, true);
	playAnimSequence("MissionGroup\\Cybrids\\N3Def\\jamm2", 2, true);
	playAnimSequence($Nike1,2,true);	//Artillery locks itself into the ground
	order($N1def, guard, Nexus1);
	order($N2def, guard, Nexus2);
	order($N3def, guard, Nexus3);
	order($Nike1, holdPosition, true);	//Artillery units anchored in place
	order($Nike2, holdPosition, true);
	order($RebArt, holdPosition, true);
	order($Eman1, guard,"MissionGroup\\Perimiter\\slot23");		//Units will return to their posts after combat
	order($Drea1, guard,"MissionGroup\\Perimiter\\slot15");
	order($Drea2, guard,"MissionGroup\\Perimiter\\slot25");
	order($Mino1, guard,"MissionGroup\\Perimiter\\slot30");
	order($Mino2, guard,"MissionGroup\\Perimiter\\slot14");
	order($Pala1, guard,"MissionGroup\\Perimiter\\slot28");
	order($Pala2, guard,"MissionGroup\\Perimiter\\slot31");
	order($Aven1, guard,"MissionGroup\\Perimiter\\slot12");
	order($Disr1, guard,"MissionGroup\\Perimiter\\slot7");
	order($Apoc1, guard,"MissionGroup\\Perimiter\\slot8");
	order($Apoc2, guard,"MissionGroup\\Perimiter\\slot26");
	order($Gorg1, guard,"MissionGroup\\Perimiter\\slot18");
	order($Gorg2, guard,"MissionGroup\\Perimiter\\slot29");
	order($Scout, guard,"MissionGroup\\Perimiter\\slot13");
	order($Myrm1, guard,"MissionGroup\\Perimiter\\slot6");
	order($Basil1, guard,"MissionGroup\\Perimiter\\slot32");
	order($Olyp1, guard,"MissionGroup\\Perimiter\\slot9");
	order($Supr1, guard, "MissionGroup\\Perimiter\\slot24");
	order($Invaders, guard, "MissionGroup\\Cybrids\\HumanBase");	//Cybrids charge
	clearGeneralOrders();
        cdAudioCycle(6,7,4);
	schedule("finalPreparations();",3);
	schedule("initDistanceChecks();",5);
}

function initDistanceChecks()
{
	checkBoundary("leave", $Player, $NavBravo, $Warndistance, "warn");
	checkBoundary("leave", $Player, $NavBravo, 3000, "leave");
}

function finalPreparations()
{
	say(0,$Gen,*IDSTR_AA3_GEN1);
	schedule("say(0,0,*IDSTR_AA3_TMP1);",3);
	schedule("say(0,$Nike1,*IDSTR_AA3_ARTL1);",6);
	schedule("say(0,$Nike2,*IDSTR_AA3_ARTL2);",10);
	schedule("setTowerCamera($Nike2,-580,-675,40);",10);
	schedule("playAnimSequence($Nike2,2,true);",11);
	schedule("focusCamera(player);",13);
	schedule("say(0,$Mino2,*IDSTR_AA3_LIO1);",14);
	schedule("say(0,$Drea1,*IDSTR_AA3_DML1);",16.5);
	schedule("say(0,$Gen,*IDSTR_AA3_GEN2);",18);
	schedule("say(0,$Eman1,*IDSTR_AA3_BO1);",22.5);
	schedule("say(0,$Surveyor3,*IDSTR_AA3_SURV3);",26.5);
	schedule("say(0,$Gen,*IDSTR_AA3_GEN3);",31);
}
/////////////////Cybrid Functions//////////////////////////////////////////////////////////////
function cybrids::vehicle::onTargeted(%target, %targetter)
{
	if ($battleBegins==false)
	{
	say(0,$Drea1, *IDSTR_AA3_DML2);
	$battleBegins=true;
	scheduleSays();
	}
}

function cybrids::vehicle::onAttacked(%attackee, %attacker)
{
	if ($battleBegins==false)
	{
	say(0,$Drea1, *IDSTR_AA3_DML2);
	$battleBegins=true;
	scheduleSays();
	}
}

function cybrids::vehicle::onDestroyed(%destroyee, %destroyer)
{
        $cybridsLeft= $cybridsLeft-1;
	destroyerTaunt(%destroyer);	//Pilots make comments
	checkForRF();
	checkForVictory();
}

/////////////////Alliance Funcions/////////////////////////////////////////////////////////////
function alli::vehicle::onTargeted(%target, %targetter)
{
	if (($battleBegins==false)&&(getTeam(%targetter)==*IDSTR_TEAM_RED))	//Make sure it isn't a player prank
	{
	say(0,$Drea1, *IDSTR_AA3_DML2);
	$battleBegins=true;
	say(0,$Drea2,*IDSTR_AA3_CRC1,"GEN_ICCA06.wav");
	scheduleSays();
	}
}

function alli::vehicle::onDestroyed(%destroyee, %destroyer)
{
	lastWords(%destroyee);
        killChannel(%destroyee);
}
function gen::vehicle::onDestroyed(%destroyee, %destroyer)
{
	setDominantCamera(%destroyer, %destroyee);
	missionObjective2.status = *IDSTR_OBJ_FAILED;
	forceToDebrief();
}

function destroyerTaunt(%destroyer)
{
	if (%destroyer==$Eman1)		//Bo
		say(0,$Eman1,*IDSTR_AA3_BO2,"sm_hm1_td1.wav");
	if (%destroyer==$Drea2)		//Church
		say(0,$Drea2,*IDSTR_AA3_CRC2,"sm_hm2_td2.wav");
	if (%destroyer==$Mino1)		//Shak
		say(0,$Mino1,*IDSTR_AA3_SHK1,"sm_hf1_td2.wav");
	if (%destroyer==$Pala1)		//Perilous
		say(0,$Pala1,*IDSTR_AA3_PRL1,"sm_hf2_td1.wav");
	if (%destroyer==$Aven1)		//Choker
		say(0,$Aven1,*IDSTR_AA3_CHK1,"sm_hm1_td2.wav");
	if (%destroyer==$Disr1)		//Marimba
		say(0,$Disr1,*IDSTR_AA3_MAR1,"sm_tiger_td2.wav");
	if (%destroyer==$Apoc2)		//Abstinance
		say(0,$Apoc2,*IDSTR_AA3_ABS1,"M1_DM_honorlessdog.WAV");
	if (%destroyer==$Gorg2)		//Johnson
		say(0,$Gorg2,*IDSTR_AA3_JSN1,"");
	if (%destroyer==$Gorg1)		//Sonters
		say(0,$Gorg1,*IDSTR_AA3_SNT1,"");
	if (%destroyer==$Drea1)		//Dustmole
		say(0,$Drea1,*IDSTR_AA3_DML3,"");
	if (%destroyer==$Apoc1)		//Lice Roast
		say(0,$Apoc1,*IDSTR_AA3_LR1,"");
	if (%destroyer==$Mino2)		//Lionshead
		say(0,$Mino2,*IDSTR_AA3_LIO2,"");
	if (%destroyer==$Scout)		//Infiltrator
		say(0,$Scout,*IDSTR_AA3_SCT1,"");
	if (%destroyer==$Myrm1)		//Justice
		say(0,$Myrm1,*IDSTR_AA3_JST1,"he3_caa04.wav");
	if (%destroyer==$Basil1)	//Flameboy
		say(0,$Basil1,*IDSTR_AA3_FLM1,"he3_caa03.wav");
	if (%destroyer==$Olyp1)		//El
		say(0,$Olyp1,*IDSTR_AA3_EL1,"sm_dwish_td2.wav");
	if (%destroyer==$Pala2)		//Undergun
		say(0,$Pala2,*IDSTR_AA3_UGN1,"F2_DM_iloveitwhen.wav");
	if (%destroyer==$Gen)		//Dortegger
		say(0,$Gen,*IDSTR_AA3_GEN4,"");
}

function scheduleSays()
{
	schedule("battleComment(8);", randomint(70,80));
	schedule("battleComment(7);", randomint(115,120));
	%num= randomint(58,70);
	schedule("battleComment(1);", %num);
	schedule("battleComment(2);",%num+1);	//The wav file for comment 1 will automatically set the timing for comment 2
	schedule("battleComment(3);",%num+5.5);
	schedule("battleComment(4);",%num+8);
	schedule("battleComment(5);", randomint(150,159));	//"99" ensures comments will be in correct order
	schedule("battleComment(6);", randomint(160,165));
	%num= randomint(210,225);
	schedule("battleComment(9);",%num);
	schedule("battleComment(11);",%num+1);
	schedule("battleComment(12);",%num+4.5);
	%num= randomint(350,450);
	schedule("battleComment(14);", %num);
	schedule("battleComment(13);", %num+3);
	schedule("battleComment(15);",randomint(80,160));
}

function battleComment(%num)
{
	if (%num==1) say(0,0,*IDSTR_AA3_IMP1,"GEN_RCCb10.wav");
	if (%num==2) say(0,$Eman1,*IDSTR_AA3_BO3,"");
	if (%num==3) say(0,$Mino2,*IDSTR_AA3_LIO3,"");
	if (%num==4) say(0,$Gen,*IDSTR_AA3_GEN5,"");
	if (%num==5) say(0,$apoc1,*IDSTR_AA3_LR2,"");
	if (%num==6) say(0,$myrm1,*IDSTR_AA3_JST2,"");
	if (%num==7) say(0,$Gorg2,*IDSTR_AA3_JSN2, "GEN_ICCA08.wav");
	if (%num==8) say(0,0,*IDSTR_AA3_REB1, "GEN_ICCc13.wav");
	if (%num==9) say(0,$Gorg1,*IDSTR_AA3_SNT2, "GEN_ICCb15.wav");
	if (%num==11) say(0,$Mino1,*IDSTR_AA3_SHK2, "");
	if (%num==12) say(0,$Gorg2,*IDSTR_AA3_SNT3,"");
	if (%num==13) say(0,$Mino2,*IDSTR_AA3_CRC3,"GEN_ICCb10.wav");
	if (%num==14) say(0,$Scout,*IDSTR_AA3_SCT2,"");
	if (%num==15) say(0,0,*IDSTR_GEN_RCC12, "GEN_RCCA12.wav");
	if (%num==10) say(0,$Surveyor2,*IDSTR_AA3_SURV2,"");
}

function lastWords(%who)
{
	if (%who==$Apoc2)		//Abstinance
		say(0,$Apoc2,*IDSTR_AA3_ABS2,"");
	if (%who==$Gorg2)		//Johnson
		say(0,$Gorg2,*IDSTR_AA3_JSN3,"");
	if (%who==$Gorg1)		//Sonters
		say(0,$Gorg1,*IDSTR_AA3_SNT4,"sm_hman_dc1.wav");
	if (%who==$Drea1)		//Dustmole
		say(0,$Drea1,*IDSTR_AA3_DML4,"");
	if (%who==$Apoc1)		//Lice Roast
		say(0,$Apoc1,*IDSTR_AA3_LR3,"");
	if (%who==$Mino2)		//Lionshead
		say(0,$Mino2,*IDSTR_AA3_LIO4,"");
	if (%who==$Scout)		//Infiltrator
		say(0,$Scout,*IDSTR_AA3_SCT3,"");
	if (%who==$Myrm1)		//Justice
		say(0,$Myrm1,*IDSTR_AA3_JST3,"GEN_STATIC01.WAV");
	if (%who==$Basil1)	//Flameboy
		say(0,$Basil1,*IDSTR_AA3_FLM2,"");
	if (%who==$Olyp1)		//El
		say(0,$Olyp2,*IDSTR_AA3_EL2,"");
	if (%who==$Pala2)		//Undergun
		say(0,$Pala2,*IDSTR_AA3_UGN2,"");
}
/////////////////Thumper Functions/////////////////////////////////////////////////////////////
function thumper::structure::onDestroyed(%destroyee, %destroyer)
{
	if (%destroyee==getObjectId("MissionGroup\\Garisson\\Thumper1"))
	{
	setPosition("MissionGroup\\TH1trigger",0,0,5000);
	say(0,$Sovereign,*IDSTR_AA3_SOV1);
	say(0,$Gen,*IDSTR_AA3_GEN6);
	say(0,$RF2,"REBEL: Reinforcement squad 23, we're ready and moving out.");
	order($RF1, guard, "MissionGroup\\Perimiter\\slot1");
	order($RF2, guard, "MissionGroup\\Perimiter\\slot2");
	order($RF3, guard, "MissionGroup\\Perimiter\\slot4");
	order($RF4, guard, "MissionGroup\\Perimiter\\slot5");
	order($RF1, speed, high);			//Hurry!
	order($RF2, speed, high);
	order($RF3, speed, high);
	order($RF4, speed, high);
	}

	else if (%destroyee==getObjectId("MissionGroup\\Garisson\\Thumper2"))
	{
	setPosition("MissionGroup\\TH2trigger",0,0,5000);
	say(0,$Sovereign,*IDSTR_AA3_SOV2);
	say(0,$Gen,*IDSTR_AA3_GEN7);
	say(0,$RF6,*IDSTR_AA3_RF24);
	say(0,$Gen, *IDSTR_AA3_GEN8);
	order($RF5, guard, "MissionGroup\\Perimiter\\slot19");
	order($RF6, guard, "MissionGroup\\Perimiter\\slot22");
	order($Gen, guard, "MissionGroup\\Perimiter\\slot20");
	order($RF5, speed, high);			//Hurry!
	order($RF6, speed, high);
	}
	else say(0,0,"BUG: Thumper not recognizable","");
}
/////////////////Miscellaneous/////////////////////////////////////////////////////////////////
function checkForVictory()
{
	if ($cybridsLeft==0)
	{
	missionObjective1.status= *IDSTR_OBJ_COMPLETED;
	if (missionObjective2.status==*IDSTR_OBJ_ACTIVE) missionObjective2.status= *IDSTR_OBJ_COMPLETED;
	schedule("forceToDebrief();",7);
	}
	else schedule("checkForVictory();",5);
}