////////////Alliance Mission 7////////////////////////////////////
//Objectives:	1)Capture cybrid base 		                //
//		2)Ensure former owners dont announce you.	//
//		3)Keep the Big Two alive			//
//////////////////////////////////////////////////////////////////
$missionName = "ab1";
$WarnDistance=3250;

exec("PPcampaignStdLib.cs");

MissionBriefInfo missionBriefInfo
{
   campaign             = "Fourth Earthsiege";
   title                = "Unwelcome Guests";      
   planet               = *IDSTR_PLANET_TEMPERATE;     
   location             = "PacRim-Greater China Border";
   dateOnMissionEnd     = 28332103;               
   shortDesc            = "Capture a cybrid base to use as Alliance headquarters.";
   longDescRichText     = *IDSTR_AB1_BRF;
   media                = "ab1_brief_2.bmp";	//Good map misreads, for some reason.
   successDescRichText  = *IDSTR_AB1_DBRF;
   failDescRichText     = "We will not be able to fight well without that base. What's worse, the cybrids know the Alliance "
			@"is here. It's all over.";
   nextMission          = "ab2";
   soundVol             = "";
   successWavFile       = "";
};

MissionBriefObjective missionObjective1
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Destroy sensors.";
   longTxt              = "The cybrids have established a series of sensor stations around the base. Get rid of them, "
			@"hitting their communications towers first.";
   bmpName              = "ab1_obj1.bmp";
};

MissionBriefObjective missionObjective2
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Destroy main uplink.";
   longTxt              = "The base's prime communications uplink is located on the west side of the Nexus. Get rid of it "
			@"fast. We're supposed to be TDF from New Darwin, but the disguise wont hold long.";
   bmpName              = "ab1_obj2.bmp";
};

MissionBriefObjective missionObjective3
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Destroy all defenses.";
   longTxt              = "Destroy the base turrets.";
   bmpName              = "ab1_obj3.bmp";
};

MissionBriefObjective missionObjective4
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Preserve command center.";
   longTxt              = "Do not damage the cybrid command center, or \"<Nexus>\" as the cybrids call it. We will need it "
			@"as a base of operations, even if it is unsuited for biologicals.";
   bmpName              = "ab1_obj4.bmp";
};

MissionBriefObjective missionObjective5
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Vape the 'brids.";
   longTxt              = "Destroy all cybrids you meet.";
   bmpName              = "ab1_obj5.bmp";
};

MissionBriefObjective missionObjective6
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Commanders must live.";
   longTxt              = "Striker One and Icehawk are valuable pilots. They must not be lost.";
   bmpName              = "ab1_obj6.bmp";
};


Pilot Caanon
{
   id = 32;
   
   name = "Icehawk";
   skill = 0.6;
   accuracy = 0.8;
   aggressiveness = 2.0;
   activateDist = 700.0;
   deactivateBuff = 200.0;
   targetFreq = 0.7;
   trackFreq = 0.4;
   fireFreq = 0.1;
   LOSFreq = 0.4;
   orderFreq = 2.0;
};

Pilot caasquadmate1
{
   id = 33;
   
   name = "Hedgehog";
   skill = 0.8;
   accuracy = 0.6;
   aggressiveness = 0.4;
   activateDist = 600.0;
   deactivateBuff = 250.0;
   targetFreq = 1.0;
   trackFreq = 0.3;
   fireFreq = 0.4;
   LOSFreq = 0.4;
   orderFreq = 2.0;
};

Pilot caasquadmate2
{
   id = 34;
   
   name = "Madman";
   skill = 0.8;
   accuracy = 0.7;
   aggressiveness = 1.0;
   activateDist = 700.0;
   deactivateBuff = 250.0;
   targetFreq = 0.1;
   trackFreq = 0.1;
   fireFreq = 0.1;
   LOSFreq = 0.7;
   orderFreq = 1.0;
};

Pilot striker
{
   id = 35;
   
   name = "Striker One";
   skill = 0.9;
   accuracy = 0.4;
   aggressiveness = 0.3;
   activateDist = 900.0;
   deactivateBuff = 300.0;
   targetFreq = 2.0;
   trackFreq = 0.8;
   fireFreq = 0.2;
   LOSFreq = 0.1;
   orderFreq = 0.5;
};

Pilot strsquadmate1
{
   id = 36;
   
   name = "Delta Six";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 0.9;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.5;
   fireFreq = 0.5;
   LOSFreq = 0.33;
   orderFreq = 5.5;
};

Pilot strsquadmate2
{
   id = 37;
   
   name = "Janos";
   skill = 0.9;
   accuracy = 0.4;
   aggressiveness = 0.3;
   activateDist = 900.0;
   deactivateBuff = 300.0;
   targetFreq = 2.0;
   trackFreq = 0.8;
   fireFreq = 0.2;
   LOSFreq = 0.1;
   orderFreq = 0.5;
};

Pilot strsquadmate3
{
   id = 38;
   
   name = "Hangman";
   skill = 0.7;
   accuracy = 0.7;
   aggressiveness = 0.5;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.2;
   fireFreq = 0.2;
   LOSFreq = 0.2;
   orderFreq = 1.0;
};

//Map config
$server::HudMapViewOffsetX =  -800;
$server::HudMapViewOffsetY =  2000;

function player::onAdd(%who)
{
	$THEPLAYER=%who;
}

function vehicle::onAdd(%what)
{
	if(playerManager::vehicleIdToPlayerNum(%what)==$THEPLAYER) {$Player=%what; $Name=getHUDName($Player);}
}


function onMissionStart()
{
	$navAlpha= getObjectId("MissionGroup\\Nav\\navAlpha");
	$navBravo= getObjectId("MissionGroup\\Nav\\navBravo");
	$navCharlie= getObjectId("MissionGroup\\Nav\\navCharlie");
	$navDelta= getObjectId("MissionGroup\\Nav\\navDelta");
	$Uplink= getObjectId("MissionGroup\\Base\\uplink1");
	$Nexus= getObjectId("MissionGRoup\\Base\\nexus");
	$TransportPath= getObjectId("MissionGroup\\Paths\\DropshipPath");
	$Caanon= getObjectId("MissionGroup\\Alliance\\Icehawk Squad\\Caanon");
	$CaanonGroup= getObjectId("MissionGroup\\Alliance\\Icehawk Squad");	
	$CaanonPath= getObjectId("MissionGroup\\Paths\\IcehawkPath");
	$Striker= getObjectId("MissionGroup\\Alliance\\Striker Squad\\Striker One");
	$StrikerGroup= getObjectId("MissionGroup\\Alliance\\Striker Squad");	
	$StrikerPath= getObjectId("MissionGroup\\Paths\\StrikerPath");
	$NavBravoReached=false;
	$NavCharlieReached=false;
	$NavDeltaReached=false;
	$RedAlert=false;
		
	$cybridsLeft= 44;
	$TurretsLeft=8;
	clearGeneralOrders();
        cdAudioCycle(3,2,5);
	schedule("initNav();",1);	//Must wait for player to actually appear on the map
	schedule("startMission();",3);
}

function initNav()
{
	setNavMarker($navAlpha, true, -1);
	setNavMarker($navBravo, false, 0);
	setNavMarker($navCharlie, false, 0);
	setNavMarker($navDelta, false, 0);
}

function startMission()
{	//Don't turn the first one into a string!
	say(0, $Caanon, *IDSTR_AB1_CAA1a @$Name@ *IDSTR_AB1_CAA1b, "");
	schedule("setNavMarker($NavBravo,true,0);",15);
	schedule("setNavMarker($NavCharlie,true,0);",15);
	schedule("setNavMarker($NavDelta,true,-1);",15);
	schedule("order($Caanon, guard, $CaanonPath);",17);
	schedule("order($Caanon, makeLeader, true);",22);
	schedule("order($CaanonGroup, formation, delta);",22);
	schedule("order($Striker, guard, $StrikerPath);",16);
	schedule("order($Striker, makeLeader, true);",18);
	schedule("order($StrikerGroup, formation, delta);",18);
	schedule("order($Striker, speed, high);",45);
	isPlayerAtNav();

	for(%i=1; %i<10; %i++)
	{
		order(getObjectId("MissionGroup\\Cybrids\\Patrol"@%i@"\\Alpha"),makeLeader, true);
		order(getObjectId("MissionGroup\\Cybrids\\Patrol"@%i),formation, delta);
	}

	scanForHumans();
}

function initDistanceChecks()
{
	checkBoundary("leave", $Player, $NavAlpha, $WarnDistance, "warn");
	checkBoundary("leave", $Player, $NavAlpha, 3800, "leave");
}

/////////////////Cybrid Functions//////////////////////////////////////////////////////////////
function cybrids::vehicle::onDestroyed(%a,%b)
{
	$cybridsLeft= $cybridsLeft-1;
	if ($CybridsLeft<=0)
	{
		missionObjective5.status=*IDSTR_OBJ_COMPLETED;
		missionObjective4.status=*IDSTR_OBJ_COMPLETED;
		checkForVictory();
	}
}

function scanForHumans()
{
	if ($RedAlert) return;		//Prevents repetition
	%detected=false;
	if (!isSafe(*IDSTR_TEAM_RED, getObjectId("MissionGroup\\Base\\detector1R"), 1400)) %detected=true;
	if (!isSafe(*IDSTR_TEAM_RED, getObjectId("MissionGroup\\Base\\detector2R"), 1400)) %detected=true;
	if (!isSafe(*IDSTR_TEAM_RED, getObjectId("MissionGroup\\Base\\detector3R"), 1400)) %detected=true;
	if (!isSafe(*IDSTR_TEAM_RED, getObjectId("MissionGroup\\Base\\detector1L"), 1400)) %detected=true;
	if (!isSafe(*IDSTR_TEAM_RED, getObjectId("MissionGroup\\Base\\detector2L"), 1400)) %detected=true;
	if (!isSafe(*IDSTR_TEAM_RED, getObjectId("MissionGroup\\Base\\detector3L"), 1400)) %detected=true;
	if (!isSafe(*IDSTR_TEAM_RED, getObjectId("MissionGroup\\Base\\detector1C"), 1400)) %detected=true;
	if (!isSafe(*IDSTR_TEAM_RED, getObjectId("MissionGroup\\Base\\detector2C"), 1400)) %detected=true;
	if (!isSafe(*IDSTR_TEAM_RED, getObjectId("MissionGroup\\Base\\detector3C"), 1400)) %detected=true;
	if (%detected==true)
	{
	if ($RedAlert==true) {return;}
	say(0,0,*IDSTR_GEN_CYBAT,"CYB_NEX06.WAV");
	schedule("say(0,0,*IDSTR_AB1_STRK1);",0.1);
	schedule("say(0,0,*IDSTR_AB1_CAA2);",14);
	missionObjective1.status= *IDSTR_OBJ_IGNORE;
	schedule("say(0,0,*IDSTR_AB1_STRK2);",20);
	schedule("order($Striker, guard, $Uplink);",7);
	schedule("order($StrikerGroup, cloak, true);",8);	//They'd better be cloaked!
	schedule("order($StrikerGroup, holdFire, true);",8);	//Will prevent them from engaging cybrids while passing through the base
	schedule("order($StrikerGroup, holdPosition, true);",8);	//Will prevent them from deviating to ram cybrids
	schedule("order($Striker, attack, $Uplink);",15);
	schedule("order($Caanon, guard, $Nexus);",15);
	setNavMarker($NavAlpha, true, -1);
	patrolWave0();
	echo("ALERT ACTIVATED");
	approachToUplink();
	$RedAlert=true;
	}
	if($RedAlert==false) schedule("scanForHumans(\""@%who@"\");",2);
}

function patrolWave0()
{
	order(getObjectId("MissionGroup\\Cybrids"),shutDown, false); echo("DEBUG: cybrids activated");
	order(getObjectId("MissionGroup\\Cybrids\\Patrol1\\Alpha"),guard, $Nexus); echo("DEBUG: Patrol 1 going");
	order(getObjectId("MissionGroup\\Cybrids\\Patrol2\\Alpha"),guard, $Nexus); echo("DEBUG: Patrol 2 going");
	schedule("order(getObjectId(\"MissionGroup\\\\Cybrids\\\\Patrol3\\\\Alpha\"),guard, $Nexus); echo(\"DEBUG: Patrol 3 going\");",15);
	schedule("order(getObjectId(\"MissionGroup\\\\Cybrids\\\\Patrol4\\\\Alpha\"),guard, $Nexus); echo(\"DEBUG: Patrol 4 going\");",30);
	schedule("order(getObjectId(\"MissionGroup\\\\Cybrids\\\\Patrol5\\\\Alpha\"),guard, $Nexus); echo(\"DEBUG: Patrol 5 going\");",45);
	schedule("order(getObjectId(\"MissionGroup\\\\Cybrids\\\\Patrol6\\\\Alpha\"),guard, $Nexus); echo(\"DEBUG: Patrol 6 going\");",50);
	schedule("order(getObjectId(\"MissionGroup\\\\Cybrids\\\\Patrol7\\\\Alpha\"),guard, $Nexus); echo(\"DEBUG: Patrol 7 going\");",60);
	initDistanceChecks();		//Base under attack, player should stay in it.
}

function patrolWave1()
{
	schedule("order(getObjectId(\"MissionGroup\\\\Cybrids\\\\Patrol8\\\\Alpha\"),guard, $Nexus); echo(\"DEBUG: Patrol 8 going\");",70);
	schedule("order(getObjectId(\"MissionGroup\\\\Cybrids\\\\Patrol9\\\\Alpha\"),guard, $Nexus); echo(\"DEBUG: Patrol 9 going\");",80);
}

function patrolWave2()
{
	schedule("order(getObjectId(\"MissionGroup\\\\Cybrids\\\\Patrol10\\\\Alpha\"),guard, $Nexus); echo(\"DEBUG: Patrol 10 going\");",175);
}
/////////////////Base functions////////////////////////////////////////////////////////////////
function nexus::structure::onDestroyed(%destroyee, %destroyer)
{
	missionObjective4.status= *IDSTR_OBJ_FAILED;
	say(0,0,"mission_fail.wav");
	forceToDebrief();
}

function uplink::structure::onDestroyed()
{
	say(0,0,"gen_oc01.wav");
	missionObjective2.status=*IDSTR_OBJ_COMPLETED;
	schedule("say(0,0,*IDSTR_AB1_STRK3);",3);
	say(0,0,"mission_obj_comp.wav");
	order($StrikerGroup, holdPosition, false);
	order($StrikerGroup, holdFire, false);
	order($StrikerGroup, cloak, false);
	patrolWave1();
}

function turret::onDestroyed()
{
	$TurretsLeft--;
	if ($TurretsLeft<=0)
	{
		missionObjective3.status=*IDSTR_OBJ_COMPLETED;
		patrolWave2();
	}
}
/////////////////Alliance Functions////////////////////////////////////////////////////////////
function approachToUplink()
{
	if (getDistance($Striker, $Uplink)<100)
	{
		order($StrikerGroup, holdFire, false);
		say(0,0,*IDSTR_AB1_STRK4);
		uplinkAttack();
	}
	else schedule("approachToUplink();",1);
}

function uplinkAttack()
{
	if (MissionObjective2.status==*IDSTR_TEAM_COMPLETED) return;
	order($StrikerGroup, attack, $Uplink);
	schedule("uplinkAttack();",0.5);	//Makes sure they stay on target
}

function bigtwo::vehicle::onDestroyed(%destroyee, %destroyer)
{
	setDominantCamera(%destroyee, %destroyer);
	missionObjective6.status= *IDSTR_OBJ_FAILED;
	killChannel(%destroyee);
	forceToDebrief();
}

function bigtwo::vehicle::onArrived(%who, %where)
{
	if ((%who==$Striker)&&(%where==getObjectId("MissionGroup\\Paths\\StrikerPath\\lastMarker")))
	{
	order($Striker, guard, $NavCharlie);
	say(0,$Striker, *IDSTR_AB1_STRK5);
	order($StrikerGroup, cloak, false);
	schedule("$NavCharlieReached=true;",5);	//Speech delay
	}

	if ((%who==$Caanon)&&(%where==getObjectId("MissionGroup\\Paths\\IcehawkPath\\lastMarker")))
	{
	order($Caanon, guard, $NavBravo);
	say(0,$Caanon, *IDSTR_AB1_CAA3);
	schedule("$NavBravoReached=true;",5);	//Speech delay
	order($CaanonGroup, formation, Att2);
	checkForAllAtNavs();
	}
}

function isPlayerAtNav()
{
	if (getDistance($Player, $NavDelta)<=150)
		$NavDeltaReached=true;
	else schedule("isPlayerAtNav();",1);
}

function checkForAllAtNavs()
{
	if (($NavBravoReached)&&($NavCharlieReached)&&($NavDeltaReached))
	{
	schedule("say(0,$Caanon,*IDSTR_AB1_CAA4);",5);
	schedule("order($Caanon, attack, \"MissionGroup\\\\Base\\\\RelayR\");",8);
	schedule("order($Striker, attack, \"MissionGroup\\\\Base\\\\RelayL\");",8);
	schedule("order($StrikerGroup, cloak, true);",7);
	schedule("order($CaanonGroup, cloak, true);",7);
	setNavMarker($NavAlpha, true, -1);
	}
	else schedule("checkForAllAtNavs();",1);
}
/////////////////Miscellaneous/////////////////////////////////////////////////////////////////
function checkForVictory()
{	
	if ((missionObjective2.status==*IDSTR_OBJ_COMPLETED)&&(missionObjective3.status==*IDSTR_OBJ_COMPLETED)
	&&(missionObjective4.status==*IDSTR_OBJ_COMPLETED)&&(missionObjective5.status==*IDSTR_OBJ_COMPLETED))
	{
		missionObjective6.status=*IDSTR_OBJ_COMPLETED;	//Protect the Big Two
		say(0,0,"mission_comp.wav");
		doInventory();
		say(0,0,*IDSTR_AB1_CAA5);
		schedule("say(0,0,*IDSTR_AB1_STRK6);",7);
		schedule("order($Striker, guard, $Nexus);",8);
	schedule("forceToDebrief();",15);
	}
	else schedule("checkForVictory();",1);
}

function win()
{
	missionObjective1.status=*IDSTR_OBJ_IGNORE;
	missionObjective2.status=*IDSTR_OBJ_COMPLETED;
	missionObjective3.status=*IDSTR_OBJ_COMPLETED;
	missionObjective4.status=*IDSTR_OBJ_COMPLETED;
	missionObjective5.status=*IDSTR_OBJ_COMPLETED;
	checkForVictory();
}

function doInventory()
{
	campaignInfo.techlevel=10;	//Player has all technological restrictions lowered.

	inventoryWeaponAdjust(temperate,	102, 	2);	//2 HLAS
	inventoryWeaponAdjust(temperate, 	117, 	2);	//2 HATC
	inventoryComponentAdjust(temperate, 	113, 	2);	//1 HT engine
	inventoryComponentAdjust(temperate, 	115, 	2);	//1 SH engine
	inventoryWeaponAdjust(temperate, 	126, 	2);	//2 SPR6
	inventoryWeaponAdjust(temperate, 	3, 	2);	//1 DIS
	inventoryWeaponAdjust(temperate, 	124, 	2);	//2 VIP8
	inventoryWeaponAdjust(temperate, 	128, 	2);	//2 SWRM
	inventoryWeaponAdjust(temperate, 	147, 	4);	//4 APHID
	inventoryWeaponAdjust(temperate, 	125, 	2);	//2 VIP12
	inventoryWeaponAdjust(temperate, 	120, 	2);	//2 HBC
}