//Start of Post-Promethean 2nd campaign cinematic
//The events after the assasination

newObject( cinematicsVol, SimVolume, "cinematic.vol");
newObject( cinematicsVol, SimVolume, "PPcinematic.vol");

function player::onAdd(%who)
{
        $THEPLAYER = %who;
	cdAudioCycle(cloudburst);
}

function vehicle::onAdd(%what)
{
        if (playerManager::vehicleIdToPlayerNum(%what)==$THEPLAYER)
        {schedule("startMovie();",2);}
}

function startMovie()
{
	fadeEvent(0, out, 0.1, 0, 0, 0);
        setWideScreen(true);
        focusCamera( splineCamera, path1Rep );
	alarmSoundsOn( getObjectId( "MissionGroup\\Titan\\cinSpacC1" ), "sfx_cybrid_alarm.wav" );
}

function path1Rep::camera::waypoint1(%this)
{
	schedule("fadeEvent(0, in, 5, 0, 0, 0);",1);
	say(0,0,"cyb_nex06.wav");	//Warning! Human\\Animal warforms detected on attack vector.
}
function path1Rep::camera::waypoint2(%this)
{
	say(0,0,"sm_eoh_cc3.wav");	//Alert!Alert!Alert!
}
function path1Rep::camera::waypoint3(%this)
{
	say(0,0,"cyb_gn62.wav");	//Gettem offa me!
	say(0,0,"F2_DM_heheee.wav");	//Haha!
}
function path1Rep::camera::waypoint4(%this)
{
	fadeEvent(0, out, 5, 0, 0, 0);
	schedule("focusCamera(splineCamera, path2Rep);",6);
}


function path2Rep::camera::waypoint1(%this)
{
	fadeEvent(0, in, 5, 0, 0, 0);
	schedule("clasFire();",3);
	schedule("clasFire();",3);
}
function path2Rep::camera::waypoint2(%this)
{
	clasFire();
	damageObject("MissionGroup\\Titan\\cinSpacC1", 10000);	//Ship explodes
	alarmSoundsOff( getObjectId( "MissionGroup\\Titan\\cinSpacC1" ) );
	say(0,0,"sm_riana_vi1.wav");	//Yahoo!
}
function path2Rep::camera::waypoint4(%this)
{
	fadeEvent(0, out, 4.5, 0, 0, 0);
	schedule("focusCamera(splineCamera, path3Rep);",6);
}


function path3Rep::camera::waypoint1(%this)
{
	fadeEvent(0, in, 5, 0, 0, 0);
}

function path3Rep::camera::waypoint2(%this)
{
	say(0,0,"sm_verity_vi1.wav");		//All right, we did it!
}

function path3Rep::camera::waypoint5(%this)
{
	fadeEvent(0, out, 5, 0, 0, 0);
	schedule("focusCamera(splineCamera, path4Rep);",6);
}


function path4Rep::camera::waypoint1(%this)
{
	schedule("fadeEvent(0, in, 5, 0, 0, 0);",1);
	schedule("say(0,0,\"c3_hurtmaimkill.wav\");",7);	//HURT//MAIM//KILL
}
function path4Rep::camera::waypoint3(%this)
{
	say(0,0,"cyb_ea14.wav");	//Let's can those toasters!
}
function path4Rep::camera::waypoint4(%this)
{

}
function path4Rep::camera::waypoint5(%this)
{
	fadeEvent(0,out,10, 0,0,0);
}

function clasFire()
{
	say(0,0,"sfx_clas.wav");
}