////////////Alliance Mission 10///////////////////////////////////
//Objectives:	1)Retreat to base		 		//
//		2)Shoot down the drop pods!			//
//////////////////////////////////////////////////////////////////
$missionName = "ab4";
$WarnDistance= 4000;

exec("PPcampaignStdLib.cs");

MissionBriefInfo missionBriefInfo
{
   campaign             = "Fourth Earthsiege";
   title                = "Dropout";
   planet               = *IDSTR_PLANET_TEMPERATE;
   location             = "Trailblazer Two";
   dateOnMissionEnd     = 28334466;
   shortDesc            = "Retreat back to the Malay base in order to better resist the cybrid assault.";
   longDescRichText     = *IDSTR_AB4_BRF;
   media                = "ab4_brief.bmp";
   successDescRichText  = *IDSTR_AB4_DBRF;
   failDescRichText     = "Trailblazer Two, together with Striker One and many other pilots, was lost to the Cybrids "
			  @"on May 29, 2833.";
   nextMission          = "ab5";
   soundVol             = "ab4.vol";
   successWavFile       = "";
};

MissionBriefObjective missionObjective1
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Retreat successfully.";
   longTxt              = "Escort Trailblazer Two to the main headquarters.";
   bmpName              = "ab4_obj1b.bmp";
};

MissionBriefObjective missionObjective2
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Protect Striker One.";
   longTxt              = "";
   bmpName              = "";
};

MissionBriefObjective missionObjective3
{
   isPrimary            = false;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Defend the Gatlings.";
   longTxt              = "";
   bmpName              = "";
};

MissionBriefObjective missionObjective4
{
   isPrimary            = true;			//Formation and convoy will fall apart, otherwise
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Defend Trailblazer Two.";
   longTxt              = "";
   bmpName              = "";
};

Pilot divert
{
   id = 32;
   
   //name = "<<Diverter>";
   skill = 0.2;
   accuracy = 0.2;
   aggressiveness = 0.0;
   activateDist = 1000.0;
   deactivateBuff = 500.0;
   targetFreq = 2.0;
   trackFreq = 0.3;
   fireFreq = 0.2;
   LOSFreq = 0.1;
   orderFreq = 1.0;
};

Pilot standard
{
   id = 33;
   
   //name = "<<Hunter>";
   skill = 0.4;
   accuracy = 0.7;
   aggressiveness = 0.5;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.5;
   fireFreq = 0.5;
   LOSFreq = 0.5;
   orderFreq = 1.0;
};

Pilot annihilator
{
   id = 34;
   
   //name = "<<Destroyer>";
   skill = 0.8;
   accuracy = 0.8;
   aggressiveness = 1.0;
   activateDist = 700.0;
   deactivateBuff = 100.0;
   targetFreq = 1.0;
   trackFreq = 0.5;
   fireFreq = 1.0;
   LOSFreq = 1.0;
   orderFreq = 1.0;
};

Pilot striker
{
   id = 35;
   
   name = "Striker One";
   skill = 0.9;
   accuracy = 0.5;
   aggressiveness = 0.3;
   activateDist = 900.0;
   deactivateBuff = 300.0;
   targetFreq = 2.0;
   trackFreq = 0.8;
   fireFreq = 0.2;
   LOSFreq = 0.1;
   orderFreq = 0.5;
};

Pilot deltaSix
{
   id = 36;
   
   name = "Delta Six";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 0.9;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.5;
   fireFreq = 0.5;
   LOSFreq = 0.33;
   orderFreq = 5.5;
};

Pilot sovereign
{
   id = 37;
   
   name = "Trailblazer Two";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 0.0;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.2;
   fireFreq = 10.0;
   LOSFreq = 0.1;
   orderFreq = 1.0;
};

Pilot sq1Leader
{
   id = 38;
   
   name = "Cpt. Anderson";
   skill = 0.3;
   accuracy = 0.5;
   aggressiveness = 0.3;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.2;
   fireFreq = 1.0;
   LOSFreq = 0.5;
   orderFreq = 1.0;
};

Pilot sq1sqmt1
{
   id = 39;
   
   name = "Popeye";
   skill = 0.3;
   accuracy = 0.4;
   aggressiveness = 0.1;
   activateDist = 400.0;
   deactivateBuff = 100.0;
   targetFreq = 1.5;
   trackFreq = 0.2;
   fireFreq = 1.0;
   LOSFreq = 0.2;
   orderFreq = 0.3;
};

Pilot sq1sqmt2
{
   id = 40;
   
   name = "Borsin";
   skill = 0.4;
   accuracy = 0.1;
   aggressiveness = 0.1;
   activateDist = 600.0;
   deactivateBuff = 400.0;
   targetFreq = 2.0;
   trackFreq = 0.5;
   fireFreq = 0.5;
   LOSFreq = 0.5;
   orderFreq = 1.0;
};

Pilot sq1sqmt3
{
   id = 41;
   
   name = "Jones-Verabari";
   skill = 0.3;
   accuracy = 0.1;
   aggressiveness = 0.0;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 1.0;
   fireFreq = 2.0;
   LOSFreq = 1.0;
   orderFreq = 1.5;
};

Pilot sq2leader
{
   id = 42;
   
   name = "Hindenburger";
   skill = 0.7;
   accuracy = 1.0;
   aggressiveness = 0.3;
   activateDist = 300.0;
   deactivateBuff = 50.0;
   targetFreq = 2.0;
   trackFreq = 0.3;
   fireFreq = 3.0;
   LOSFreq = 2.0;
   orderFreq = 1.0;
};

Pilot sq2sqmt1
{
   id = 43;
   
   name = "Iceagle";
   skill = 0.5;
   accuracy = 0.8;
   aggressiveness = 0.5;
   activateDist = 300.0;
   deactivateBuff = 50.0;
   targetFreq = 2.0;
   trackFreq = 0.5;
   fireFreq = 5.0;
   LOSFreq = 5.0;
   orderFreq = 1.0;
};

Pilot sq2sqmt2
{
   id = 44;
   
   name = "Rock Rat";
   skill = 0.6;
   accuracy = 0.9;
   aggressiveness = 0.1;
   activateDist = 300.0;
   deactivateBuff = 50.0;
   targetFreq = 1.5;
   trackFreq = 0.1;
   fireFreq = 3.0;
   LOSFreq = 1.0;
   orderFreq = 0.7;
};

Pilot sq2sqmt3
{
   id = 45;
   
   name = "Hendzel";
   skill = 0.3;
   accuracy = 0.4;
   aggressiveness = 0.3;
   activateDist = 400.0;
   deactivateBuff = 75.0;
   targetFreq = 2.0;
   trackFreq = 0.5;
   fireFreq = 1.0;
   LOSFreq = 0.8;
   orderFreq = 1.0;
};

Pilot sq3leader
{
   id = 46;
   
   name = "Matthews";
   skill = 1.0;
   accuracy = 0.8;
   aggressiveness = 0.7;
   activateDist = 800.0;
   deactivateBuff = 400.0;
   targetFreq = 1.0;
   trackFreq = 0.5;
   fireFreq = 1.0;
   LOSFreq = 0.5;
   orderFreq = 0.5;
};

Pilot sq3sqmt1
{
   id = 48;
   
   name = "LBG";
   skill = 0.9;
   accuracy = 0.9;
   aggressiveness = 1.0;
   activateDist = 600.0;
   deactivateBuff = 200.0;
   targetFreq = 0.5;
   trackFreq = 0.5;
   fireFreq = 0.5;
   LOSFreq = 1.0;
   orderFreq = 0.5;
};

Pilot sq3sqmt2
{
   id = 47;
   
   name = "Sniper King";
   skill = 0.7;
   accuracy = 1.0;
   aggressiveness = 0.0;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.2;
   fireFreq = 4.0;
   LOSFreq = 1.0;
   orderFreq = 1.0;
};

newFormation( convoy1, 0,0,0, -75,75,0, -75,-75,0, 75,75,0, 75,-75,0, 0,-75,0, 150,-150,0, 150,150,0, -150,150,0, -150,-150,0);
newFormation( convoy2, 0,0,0, 0,-50,0, -50,-50,0, 50,-50,0, -25,-100,0, 25,-100,0, -75,-100,0, 75,-100,0);

$server::HudMapViewOffsetX= 0;
$server::HudMapViewOffsetY= 3000;

function player::onAdd(%who)
{
	$THEPLAYER=%who;
}

function vehicle::onAdd(%what)
{
	if(playerManager::vehicleIdToPlayerNum(%what)==$THEPLAYER)
	{
		$Player=%what;
		$Name=getHUDName($Player);
	}
}


function onMissionStart()
{
	flushConsoleScheduler();	//To prevent self-scheduling functions from ghosting over

	$NavConvoy= getObjectId("MissionGroup/nav/tracker");
	$NavDeltaSix= getObjectId("MissionGroup/nav/navDeltaSix");
	$StrikerOne= getObjectId("MissionGroup/Striker Squad/Striker One");
	$DeltaSix= getObjectId("MissionGroup/Striker Squad/Delta Six");
	$StrikerSquad= getObjectId("MissionGroup/Striker Squad");
	$Sovereign= getObjectId("MissionGroup/Convoy/Headquarters");
	$Convoy= getObjectId("MissionGroup/Convoy");
//	$Convoy2Leader= getObjectId("MissionGroup/Convoy2/leader");
//	$Convoy2= getObjectId("MissionGroup/Convoy2");
	$Squad1Leader= getObjectId("MissionGroup/Alliance/Squad One/leader");
	$Squad2Leader= getObjectId("MissionGroup/Alliance/Squad Two/leader");
	$Squad3Leader= getObjectId("MissionGroup/Alliance/Squad Three/leader");
	$Squad1= getObjectId("MissionGroup/Alliance/Squad One");
	$Squad2= getObjectId("MissionGroup/Alliance/Squad Two");
	$Squad3= getObjectId("MissionGroup/Alliance/Squad Three");
	$Gatling1= getObjectId("MissionGroup/Turrets/turr1");
	$Gatling2= getObjectId("MissionGroup/Turrets/turr2");
	$Gatling3= getObjectId("MissionGroup/Turrets/turr3");
	$Gatling4= getObjectId("MissionGroup/Turrets/turr4");
	$Gatling1.defused= false;
	$Gatling2.defused= false;
	$Gatling3.defused= false;
	$Gatling4.defused= false;
	$Bomber1= getObjectId("MissionGroup/Cybrids/Bombers/bomber1");
	$Bomber2= getObjectId("MissionGroup/Cybrids/Bombers/bomber2");
	$Bomber3= getObjectId("MissionGroup/Cybrids/Bombers/bomber3");
	$Bomber4= getObjectId("MissionGroup/Cybrids/Bombers/bomber4");
	$Bombers= getObjectId("MissionGroup/Cybrids/Bombers");

	order($Squad1Leader, makeLeader, true);
	order($Squad2Leader, makeLeader, true);
	order($Squad3Leader, makeLeader, true);
	order($Squad1, formation, delta);
	order($Squad2, formation, delta);
	order("MissionGroup/Alliance/Squad Three/1st", guard, "MissionGroup/Convoy/flat1");
	order("MissionGroup/Alliance/Squad Three/2nd", guard, "MissionGroup/Convoy/flat4");
	order($Sovereign, makeLeader, true);
	order($Convoy, formation, convoy1);
	order($Convoy2Leader, makeLeader, true);
	order($Convoy2, formation, convoy2);
	order($StrikerOne, guard, "MissionGroup/Convoy/flat1");
	order($DeltaSix, guard, "MissionGroup/Convoy/flat3");
	order($Squad1Leader, guard, "MissionGroup/Convoy/flat2");
	order($Squad2Leader, guard, "MissionGroup/Convoy/flat4");
//	order($Squad3Leader, guard, "MissionGroup/guardPoints/squad3");
	order($Squad3Leader, guard, "MissionGroup/guardPoints/convoy2");

	$StrikerOne.death= "sm_jaguar_dc1.wav";
	$DeltaSix.death= "sm_delta6_dc1.wav";
	$HQ= $Sovereign;	//Required for tactical updates
	$PodDown= false;
	$NewGroup= false;
	$NoMoreDrops= false;

	schedule("initVehicles();",1);
	cdAudioCycle(4,8,5);
	schedule("initNav();",1);	//Must wait for player to actually appear on the map
	schedule("initMap();",1);	//Must wait for player to actually appear on the map
	schedule("AInavPoints();",1);
	schedule("moveOut();",5);
}

function initVehicles()
{
	mobileTurret(getObjectId("MissionGroup/Turrets/turr1"),getObjectId("MissionGroup/Convoy/flat1"));
	mobileTurret(getObjectId("MissionGroup/Turrets/turr2"),getObjectId("MissionGroup/Convoy/flat2"));
	mobileTurret(getObjectId("MissionGroup/Turrets/turr3"),getObjectId("MissionGroup/Convoy/flat3"));
	mobileTurret(getObjectId("MissionGroup/Turrets/turr4"),getObjectId("MissionGroup/Convoy/flat4"));
	trackConvoy();
	playAnimSequence($Sovereign,1, true);
}

function initMap()	//Doesn't work; I think that once the map is initialized it wont change.
{
	//Map is always centered on main convoy
	$server::HudMapViewOffsetX= getPosition($Sovereign, x);
	$server::HudMapViewOffsetY= getPosition($Sovereign, y);
}

function initNav()
{
	setNavMarker($NavConvoy, true, -1);
	setNavMarker($NavDeltaSix, false);
}

function initDistanceChecks()
{
	checkBoundary("leave", $Player, $NavConvoy, $WarnDistance, "warn");
	checkBoundary("leave", $Player, $NavConvoy, 4500, "leave");
}

function startMission()
{
	initDistanceChecks();
}
/////////////////Alliance Functions////////////////////////////////////////////////////////////
function squad::vehicle::onDestroyed(%destroyee, %destroyer)	//Only Striker One, this time
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	missionObjective2.status=*IDSTR_OBJ_FAILED;
	say(0,0,%destroyee.death);
	forceToDebrief();
}

function trackConvoy()
{
	setPosition($NavConvoy, getPosition($Sovereign,x), getPosition($Sovereign,y), getPosition($Sovereign,z));
	schedule("trackConvoy();",2);
}

function AINavPoints()
{
	setPosition("MissionGroup/guardPoints/convoy2", getPosition($Sovereign,x), getPosition($Sovereign,y)+500, getPosition($Sovereign,z));
	order($Squad3Leader, guard, "MissionGroup/guardPoints/convoy2");
//	setPosition("MissionGroup/guardPoints/squad3", getPosition($Convoy2Leader,x), getPosition($Convoy2Leader,y)+200, getPosition($Convoy2Leader,z));
//	order($Convoy2Leader, guard, "MissionGroup/guardPoints/convoy2");
	schedule("AINavPoints();",1);
}

function incomingBrids()
{
	say(0,0,*IDSTR_AB4_TCM1);
	schedule("say(0,$Sovereign,*IDSTR_AB4_TR21);",6.5);
	schedule("say(0,0,*IDSTR_AB4_TR31);",8);
	schedule("say(0,$StrikerOne,*IDSTR_AB4_STRK1);",10);
	schedule("say(0,$Gatling2,*IDSTR_AB4_GAT1);",15);
	schedule("say(0,$StrikerOne,*IDSTR_AB4_STRK2);",17);
	schedule("say(0,0,*IDSTR_AB4_TCM2);",20);
	schedule("say(0,0,*IDSTR_AB4_TCM3);",27);
	schedule("setHudTimer(720,-1,\"Fleet Arrival\",1);",30);

	schedule("missionObjective2.status= *IDSTR_OBJ_ACTIVE;",23);
	schedule("missionObjective3.status= *IDSTR_OBJ_ACTIVE;",23);
	schedule("missionObjective4.status= *IDSTR_OBJ_ACTIVE;",23);
	schedule("say(0,0,\"mission_obj_new.wav\");",23);

	schedule("selectTarget($Gatling1);",50+randomInt(0,20));
	schedule("selectTarget($Gatling2);",50+randomInt(0,20));
	schedule("selectTarget($Gatling3);",50+randomInt(0,20));
	schedule("selectTarget($Gatling4);",50+randomInt(0,20));

	schedule("startDrops();",54);
	schedule("visualContact();",716);
	schedule("fleetArrives();",780);
}
/////////////////Gatling Turret Functions//////////////////////////////////////////////////////
$targetList[0]= 0;
$targetList[1]= 0;
$targetList[2]= 0;
$targetList[3]= 0;
$targetList[5]= 0;
$targetList[6]= 0;
$targetList[7]= 0;
$targetList[8]= 0;
$targetList[9]= 0;

function registerTarget(%target)
{
	for(%i=0; %i<10; %i++)
	{
		if ($targetList[%i]==0)
		{
			$targetList[%i] = %target;
			%target.registry = %i;
			return;
		}
	}
	say(0,0,"<F5>ERROR: Drop Pod Registry Full");
}

function dunsPod(%x1, %y1, %z1, %x2, %y2, %vehicle)
{
	%pod = copyObject("MissionGroup/storedPods/primevalPod");
	setShapeVisibility(%pod, true);
	playAnimSequence(%pod, 0, true);
	schedule("playAnimSequence("@%pod@", 0, true);",5);
	schedule("playAnimSequence("@%pod@", 0, false);",5);
	registerTarget(%pod);
	%z2= getTerrainHeight(%x2, %y2);
	%pod.vehicle = %vehicle;
	setPosition(%pod, %x1, %y1, %z1);
	%xdist= %x1-%x2;
	%ydist= %y1-%y2;
	%zdist= %z1-%z2;
	%stepLength= $GlobalStepLength;		//vertical distance between steps, in m
	%speed= 200/%stepLength;
	%steps= %zdist/%stepLength;
	%xratio= %xdist/%zdist;
	%yratio= %ydist/%zdist;
	%xstep= %xratio*%stepLength;
	%ystep= %yratio*%stepLength;
	for (%s=1; %s<%steps; %s++)
	{
		%xNow= %x1-%xstep*%s;
		%yNow= %y1-%ystep*%s;
		%zNow= %z1-%stepLength*%s;
		schedule("setPosition("@%pod@","@%xNow@","@%yNow@","@%zNow@");",%s/%speed);
	}
	schedule("landPod("@%pod@","@%x2@","@%y2@");",%steps/%speed);
	schedule("getRidOfThePod("@%pod@");",(%steps/%speed));
	%herc = NewObject("Dummy", Herc, 4 );
	trackPod(%pod, %herc);


	//Spawn all explosions here so that they're visible by the time they're needed
	%pod.landexplosion = newobject("Explosion", StaticShape, "fx_exp_podT.dts");
	%pod.blast1 = newobject("Explosion", StaticShape, "fx_thump_T.DTS");
	%pod.explosion1 = newobject("Explosion", StaticShape, "fx_exp_pod.DTS");
	%pod.blast2 = newobject("Explosion", StaticShape, "fx_thump_T.DTS");
	%pod.explosion2 = newobject("Explosion", StaticShape, "fx_exp_pod.DTS");
	//Spawn here so as to not confuse IDs?
	%pod.deadPod = newObject("Drop Pod", StaticShape, "cDropPod.dts");

	setPosition(%pod.landexplosion, 10000, 10000, -1000);
	setPosition(%pod.blast1, 10000, 10000, -1000);
	setPosition(%pod.explosion1, 10000, 10000, -1000);
	setPosition(%pod.blast2, 10000, 10000, -1000);
	setPosition(%pod.explosion2, 10000, 10000, -1000);
	setPosition(%pod.deadpod, 10000, 10000, -1000);
	setShapeVisibility(%pod.landexplosion,true);
	setShapeVisibility(%pod.blast1,true);
	setShapeVisibility(%pod.explosion1,true);
	setShapeVisibility(%pod.blast2,true);
	setShapeVisibility(%pod.explosion2,true);
	setStaticShapeLongName( %pod.deadPod, "IDACS_CDROPPOD" );	//yes, I know it's a short string, but oh well
	setTeam(%pod.deadPod, getTeam(%pod.vehicle));
}

function getRidOfThePod(%pod)
{
	//echo("getRidOfThePod");
	setPosition(%pod, 10000, 10000, 3000);
	echo("pod removed");
	//schedule("damageObject("@%pod@", 10000);",1);

	schedule("deleteObject("@%pod.landexplosion@");",1);
	schedule("deleteObject("@%pod.blast1@");",1);
	schedule("deleteObject("@%pod.explosion1@");",1);
	schedule("deleteObject("@%pod.blast2@");",1);
	schedule("deleteObject("@%pod.explosion2@");",1);
	schedule("deleteObject("@%pod@");",10);
	$TrialsCompleted++;
	schedule("continueExperiment();",5);
}

function landPod(%pod, %x, %y)
{
	echo("landPod");
	if (isGroupDestroyed(%pod)) return;
	$targetList[%pod.registry] = 0;
	deleteObject(%pod.tracker);
	%z= getTerrainHeight(%x, %y);
	setPosition(%pod.landexplosion,%x,%y,%z);
	schedule("playAnimSequence("@%pod.landexplosion@",0, true);",0.2);
	schedule("deleteObject("@%pod.landexplosion@");",1.267);
	echo("Setting dead pod position");
	echo(getPosition(%pod.deadPod));
	setPosition(%pod.deadPod, %x, %y, %z, randomInt(0,360), 10);
	echo("Drop Pod landed w/ object "@%pod.deadPod);
	setPosition(%pod.vehicle, %x, %y, %z);
	echo(getPosition(%pod.vehicle));
	echo(getPosition(%pod.deadPod));
}

function trackPod(%pod, %tracker)
{
	if (isGroupDestroyed(%pod)) return;
	if (getObjectID(%tracker)!=%tracker) return;	//Null object
	%x= getPosition(%pod,x);
	%y= getPosition(%pod,y);
	%z= getPosition(%pod,z);
	%pod.tracker= %tracker;
	setPosition(%tracker, %x, %y, %z+40);
	schedule("trackPod("@%pod@","@%tracker@");",$GlobalTrackFreq);
}

function selectTarget(%turret)
{
	if ((isGroupDestroyed(%turret))||(%turret.defused)) return;	//scripted target selection not needed
	%min=9999999;
	for (%i=0; %i<5; %i++)
	{
		if (measureRange(%turret, %i)<%min)
		{
			%min=measureRange(%turret, %i);
			%target=%i;
		}
	}
	if (%min<3000)		//Visual Contact
	{
		order(%turret, shutDown, false);
		order(%turret, attack, $targetList[%target].tracker);
//		echo("Turret = "@%turret@"    Tracker = "@$targetList[%target].tracker@" ("@getVehicleName($targetList[%target].tracker)@")");
	}
	else order(%turret, shutDown, true);	
	schedule("selectTarget("@%turret@");",1);
}

function measureRange(%turret,%num)
{
	if ($targetList[%num]== 0) return 9999999;
	else return getDistance(%turret,$targetList[%num]);
}

function displayTargetList()
{
	for(%i=0; %i<10; %i++)
	{
		echo($targetList[%i]);
	}
}

function pod::structure::onDestroyed(%destroyee, %destroyer)
{
	echo(%destroyee@" destroyed by "@%destroyer);
	$targetList[%destroyee.registry] = 0;
	if ((%destroyer=="")||(%destroyer==0)||(%destroyer==%destroyee)) return;	//Not a kill
	damageObject(%destroyee.vehicle,50000);
	%x= getPosition(%destroyee, x);
	%y= getPosition(%destroyee, y);
	%z= getPosition(%destroyee, z);
	echo("Drop pod destroyed at "@ %z @"m");

	if(%destroyer==$Turret) $PodsDestroyed++;
	//schedule("say(0,0,\"Drop pod destroyed\");",4);

	%destroyee.blast1 = newobject("Explosion", StaticShape, "fx_thump_T.DTS");
	%destroyee.explosion1 = newobject("Explosion", StaticShape, "fx_exp_pod.DTS");
	echo("onDestroyed setPosition");
	setPosition(%destroyee.blast1,%x,%y,%z,0,180);
	setPosition(%destroyee.explosion1,%x,%y,%z-13,0,180);
	schedule("playAnimSequence("@%destroyee.blast1@",0, true);",0.2);
	schedule("playAnimSequence("@%destroyee.explosion1@",0, true);",0.2);
	schedule("deleteObject("@%destroyee.blast1@");",1.87);
	schedule("deleteObject("@%destroyee.explosion1@");",1.267);
	setPosition(%destroyee.blast2,%x,%y,%z);
	setPosition(%destroyee.explosion2,%x,%y,%z-13);
	schedule("playAnimSequence("@%destroyee.blast2@",0, true);",0.2);
	schedule("playAnimSequence("@%destroyee.explosion2@",0, true);",0.2);
	schedule("deleteObject("@%destroyee.blast2@");",1.87);
	schedule("deleteObject("@%destroyee.explosion2@");",1.267);

	deleteObject(%destroyee.tracker);
	//getRidOfThePod(%destroyee);
}

function mobileTurret(%turret, %platform)
{
	setPosition(%turret, getPosition(%platform,x), getPosition(%platform,y), getPosition(%platform,z)+3);
	if (isGroupDestroyed(%platform))
		lowerTurret(%turret);
	else schedule("mobileTurret("@%turret@","@%platform@");",0.1);
}

function lowerTurret(%turret)
{
	%x= getPosition(%turret,x);
	%y= getPosition(%turret,y);
	%z= getPosition(%turret,z);
	for(%i=0; %i<30; %i++)
	{
		schedule("setPosition("@%turret@", "@%x@", "@%y@", "@%z-(%i/10)@");",%i/15);
	}
	schedule("setPosition("@%turret@","@%x@","@%y@","@getTerrainHeight(%x,%y)@");",2);
	schedule("damageObject("@%turret@",10000);",3);
}
/////////////////Cybrid Functions//////////////////////////////////////////////////////////////
function cybrids::vehicle::onDestroyed(%destroyee, %destroyer)
{
//	if (())	tacticalUpdate(kill, %destroyee, %destroyer);
	if (isGroupDestroyed("MissionGroup/Cybrids"))
	{
		missionObjective4.status=*IDSTR_OBJ_COMPLETED;
		say(0,0,"gen_oc01.wav");
	}
}

function spawnIn(%id, %type,%pilot)
{
	%herc= newObject("Test",%type,%id);
	addToSet("MissionGroup/Cybrids/Spawned", %herc);
	setTeam(%herc, *IDSTR_TEAM_RED);
	setPosition(%herc, 10000, 10000, 1000);
	setPilotId(%herc, %pilot);
	return %herc;
}

function startDrops()
{
	echo("DEBUG: startDrops() run");
	%x= getPosition($Sovereign,x);
	%y= getPosition($Sovereign,y);
	%z= getPosition($Sovereign,z);
	//This sequence will drop three agility seekers onto the map
	%herc = spawnIn(20, Herc, 32);
	dunsPod(%x-1000,%y+1000,4000, %x+500, %y, %herc);
	%herc= spawnIn(20, Herc, 32);
	schedule("dunsPod("@%x-1000@","@%y+1000@",4000, "@%x-500@", "@%y@", "@%herc@");",3);
	%herc= spawnIn(20, Herc, 32);
	schedule("dunsPod("@%x-1000@","@%y+1000@",4000, "@%x-100@", "@%y-600@", "@%herc@");",4.5);
	schedule("wave2();",30);	//Too early to react
}

function wave2()
{
	%x= getPosition($Sovereign,x);
	%y= getPosition($Sovereign,y);
	%z= getPosition($Sovereign,z);
	//This sequence drops a group of two shepherds, one bolo, and a goad around the convoy
	%herc= spawnIn(21,Herc,33);
	dunsPod(%x-1050,%y+900,4000, %x+500, %y+500, %herc);
	%herc= spawnIn(25,Tank,32);
	schedule("dunsPod("@%x-1050@","@%y+900@",4000, "@%x-500@", "@%y+500@", "@%herc@");",1.5);
	%herc= spawnIn(22,Herc,33);
	schedule("dunsPod("@%x-800@","@%y+1000@",4000, "@%x-500@", "@%y-500@", "@%herc@");",2);
	%herc= spawnIn(22,Herc,33);
	schedule("dunsPod("@%x-800@","@%y+900@",4000, "@%x-500@", "@%y+500@", "@%herc@");",3);
	schedule("farWave();",94);
}

function farWave()
{
	%x= getPosition($Sovereign,x);
	%y= getPosition($Sovereign,y);
	%z= getPosition($Sovereign,z);
	//Quite a payload: a seeker, three goads, a shepherd, an adjudicator, and two recluses
	//This will allow the Cybrids to gain a toehold.
	%herc = spawnIn(21, Herc, 33);
	dunsPod(%x-800,%y+850,4000, %x+1000+randomInt(0,100), %y-1000-randomInt(0,100), %herc);
	%herc = spawnIn(23, Herc, 34);
	schedule("dunsPod("@%x-800@","@%y+850@",4000, "@%x+1000+randomInt(0,100)@", "@%y-1000-randomInt(0,100)@", "@%herc@");",0.5);
	%herc = spawnIn(26, Tank, 33);
	schedule("dunsPod("@%x-800@","@%y+850@",4000, "@%x+1000+randomInt(0,100)@", "@%y-1000-randomInt(0,100)@", "@%herc@");",1.0);
	%herc = spawnIn(22, Herc, 33);
	schedule("dunsPod("@%x-800@","@%y+850@",4000, "@%x+1000+randomInt(0,100)@", "@%y-1000-randomInt(0,100)@", "@%herc@");",1.5);
	%herc = spawnIn(21, Herc, 32);
	schedule("dunsPod("@%x-800@","@%y+850@",4000, "@%x+1000+randomInt(0,100)@", "@%y-1000-randomInt(0,100)@", "@%herc@");",2.0);
	%herc = spawnIn(26, Tank, 34);
	schedule("dunsPod("@%x-800@","@%y+850@",4000, "@%x+1000+randomInt(0,100)@", "@%y-1000-randomInt(0,100)@", "@%herc@");",2.5);
	%herc = spawnIn(21, Herc, 33);
	schedule("dunsPod("@%x-800@","@%y+850@",4000, "@%x+1000+randomInt(0,100)@", "@%y-1000-randomInt(0,100)@", "@%herc@");",3.0);
	%herc = spawnIn(20, Herc, 32);
	schedule("dunsPod("@%x-800@","@%y+850@",4000, "@%x+1000+randomInt(0,100)@", "@%y-1000-randomInt(0,100)@", "@%herc@");",3.5);
	setPosition($NavDeltaSix, %x+1050, %y-1050, getTerrainHeight(%x+1050, %y-1050));
	//15 drops so far
//	schedule("calculateDropLocation();",5.5);
//	schedule("setNavMarker($NavDeltaSix,true, 0);",10);
//	schedule("say(0,$DeltaSix,*IDSTR_AB4_DEL1);",10.5);
//	schedule("$NewGroup= true;",15);
//	schedule("order($DeltaSix, guard, $NavDeltaSix);",11.0);
//	schedule("order($Squad3, guard, $DeltaSix);",11.0);
	schedule("calculateDropLocation();",20);
	schedule("setNavMarker($NavDeltaSix,true, 0);",25);
	schedule("say(0,$DeltaSix,*IDSTR_AB4_DEL1);",25.5);
	schedule("$NewGroup= true;",30);
	schedule("order($DeltaSix, guard, $NavDeltaSix);",26.0);
	schedule("order($Squad3, guard, $DeltaSix);",26.0);
}

function calculateDropLocation()
{
	tacticalUpdate(dropPod, getPosition($NavDeltaSix,x), getPosition($NavDeltaSix,y));
}

function victoriousWave()
{
	for(%i=1; %i<=21; %i++)
	{
		%herc= getObjectId("MissionGroup/Cybrids/Attack Force/herc"@$order[%i-1]);
		calcAndDrop(%herc, %i*12);
	}
}

function initDropOrder()
{
	for(%i=0; %i<21; %i++)
		{
		$order[%i]=(%i+1);
		%brid= getObjectId("MissionGroup/Cybrids/Attack Force/herc"@(%i+1));
		%brid.dropped=false;
		}
	for(%i=0; %i<21; %i++)
	{
		%num= randomInt(0,20);
		%temp= $order[%i];	//need to store original value to replace later
		$order[%i]= $order[%num];
		$order[%num]= %temp;	//now the two are switched around
	}
}

function calcAndDrop(%brid, %when)
{
	if ($NoMoreDrops)
		%when=0;
	if (%brid.dropped) return;		//In case same 'brid dropped twice
	%x= getPosition($Sovereign, x);
	%y= getPosition($Sovereign, y);
	%x= (%x-1000)+randomInt(0,2000);
	%y= (%y-1000)+randomInt(0,2000);
	//Drops within a 2000m X 2000m square centered on the convoy
	schedule("dropAPod(getPosition($Sovereign,x)-1000+randomInt(0,2000),getPosition($Sovereign,y)-1000+randomInt(0,2000),"@%brid@");",%when);
	schedule("order(%brid, attack, \"MissionGroup/Alliance\");",%when+10);
	%brid.dropped=true;
}

/////////////////Bomber Functions//////////////////////////////////////////////////////////////
function bomberLaunch()
{
	$Bomber1.target= getObjectId("MissionGroup/Convoy/flat3");
	$Bomber2.target= getObjectId("MissionGroup/Convoy/flat3");
	$Bomber3.target= getObjectId("MissionGroup/Convoy/flat3");
	$Bomber4.target= getObjectId("MissionGroup/Convoy/flat3");

	setVehicleRadarVisible($Bomber1.launcher, false);
	setVehicleRadarVisible($Bomber2.launcher, false);
	setVehicleRadarVisible($Bomber3.launcher, false);
	setVehicleRadarVisible($Bomber4.launcher, false);

	//Sorry, otherwise the game action halts
	setPosition($Bomber1, getPosition($Sovereign, x)+1000, getPosition($Sovereign, y)+1000, 1500);
	setPosition($Bomber2, getPosition($Sovereign, x)-1000, getPosition($Sovereign, y)+1000, 1500);
	setPosition($Bomber3, getPosition($Sovereign, x)-1000, getPosition($Sovereign, y)-1000, 1500);
	setPosition($Bomber4, getPosition($Sovereign, x)+1000, getPosition($Sovereign, y)-1000, 1500);

	guardTargets();
	say(0,0,*IDSTR_AB4_TCM4);
	schedule("say(0,0,*IDSTR_AB4_STRK6);",5);
	schedule("say(0,0,*IDSTR_AB4_GAT2);",9);
	schedule("setFlyByCamera("@getObjectId("MissionGroup/convoy/flat1")@",-10,80,0);",9);
	schedule("say(0,0,\"sm_jaguar_dc1.wav\");",11);
	resetLastHitBy($Gatling1);
	schedule("damageObject(getObjectId(\"MissionGroup/Convoy/flat1\"),50000);",11);
	schedule("focusCamera(player);",16);
	schedule("say(0,0,*IDSTR_AB4_GAT3);",15);
	schedule("say(0,0,*IDSTR_AB4_GAT4); $Gatling3.defused=true; scanForBombers();",18);
	setNavMarker($NavConvoy, true, -1);	//Make sure player's headed for the convoy

	schedule("$Bomber1.target=getObjectId(\"MissionGroup/Convoy/flat3\");",13.5);
	schedule("$Bomber2.target=getObjectId(\"MissionGroup/Convoy/flat3\");",13.5);
	schedule("$Bomber3.target=getObjectId(\"MissionGroup/Convoy/flat3\");",13.5);
	schedule("$Bomber4.target=getObjectId(\"MissionGroup/Convoy/flat3\");",13.5);

	//No more of those pesky lag-happy special pods!
	deleteObject("MissionGroup/StoredPods");
	deleteObject("MissionGroup/junkPods");
}

function guardTargets()
{
	order($Bomber1, guard, $Bomber1.target);
	order($Bomber2, guard, $Bomber2.target);
	order($Bomber3, guard, $Bomber3.target);
	order($Bomber4, guard, $Bomber4.target);

	checkToFire($Bomber1);
	checkToFire($Bomber2);
	checkToFire($Bomber3);
	checkToFire($Bomber4);

	schedule("guardTargets();",2);
}

function scanForBombers()
{
	if (isGroupDestroyed($Gatling3)) return;
	if (getDistance($Gatling3,$Bomber1)<2000)
		order($Gatling3, shutDown, false);
		order($Gatling3, attack, $Bombers);
	schedule("scanForBombers();",1);
}

function getNearestTarget(%who)
{
	if (isGroupDestroyed(%who)) return 0;
	%dist=9999999;
	%owner=0;
	if ((!isGroupDestroyed($Gatling1))&&(getDistance(%who,$Bomber1)<%dist))
		{%dist=getDistance(%who,$Gatling1); %owner= 1;}
	if ((!isGroupDestroyed($Gatling2))&&(getDistance(%who,$Bomber2)<%dist))
		{%dist=getDistance(%who,$Gatling2); %owner= 2;}
	if ((!isGroupDestroyed($Gatling3))&&(getDistance(%who,$Bomber3)<%dist))
		{%dist=getDistance(%who,$Gatling3); %owner= 3;}
	if ((!isGroupDestroyed($Gatling4))&&(getDistance(%who,$Bomber4)<%dist))
		{%dist=getDistance(%who,$Gatling4); %owner= 4;}
	if (%owner==0)
		{order(%who, guard, "MissionGroup/Alliance"); return $SquadTwoLeader;}
	else return getObjectId("MissionGroup/Convoy/flat"@%owner);
}

function turret::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(destroy, %destroyee, %destroyer);
	if (isGroupDestroyed("MissionGroup/turrets"))
	{
		missionObjective3.status= *IDSTR_OBJ_FAILED;
		schedule("say(0,$StrikerOne,*IDSTR_AB4_STRK3);",2);
		initDropOrder();
		victoriousWave();
	}
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
	if (%destroyer==0)
	{
		$Bomber1.target=getNearestTarget($Bomber1);
		$Bomber2.target=getNearestTarget($Bomber2);
		$Bomber3.target=getNearestTarget($Bomber3);
		$Bomber4.target=getNearestTarget($Bomber4);
	}
	if (%destroyee==$Gatling1)
		order($StrikerOne, guard, $Sovereign);
	if (%destroyee==$Gatling2)
		order($SquadOneLeader, guard, $Sovereign);
	if (%destroyee==$Gatling3)
	{
		order($DeltaSix, guard, $Sovereign);
		say(0,$StrikerOne, *IDSTR_AB4_STRK7);
	}
	if (%destroyee==$Gatling4)
		order($SquadTwoLeader, guard, $Sovereign);
}

function checkToFire(%bomber)
{
	if(%bomber.target=="") return;
	if (getDistance(%bomber, %bomber.target)>1350) return;
	%xdist= getPosition(%bomber,x) - getPosition(%bomber.target,x);
	%ydist= getPosition(%bomber,y) - getPosition(%bomber.target,y);
	if (getHypotenuse(%xdist, %ydist)>400) return;	//Too far off to the side
	launchBomb(%bomber);
}

function launchBomb(%who)
{
	//This used to be more intricate, but nothing seemed to work!
	damageArea(%who.target, randomInt(0,20)-10,  randomInt(0,20)-10,  randomInt(0,15), 10, 600);
}

/////////////////Mission Functions/////////////////////////////////////////////////////////////
function structure::onDestroyed(%destroyee, %destroyer)
{
	if ((%destroyee==%destroyer)||(%destroyer==0))	//Was a server kill, self-destruct, or who-knows-what
		return;
	if (%destroyer==$Gatling1) return;
	if (%destroyer==$Gatling2) return;
	if (%destroyer==$Gatling3) return;
	if (%destroyer==$Gatling4) return;
	tacticalUpdate(destroy, %destroyee, %destroyer);
}

function vehicle::onDestroyed(%destroyee, %destroyer)
{
	if ((%destroyee!=%destroyer)&&(%destroyer!=0))	//Was not a server kill or self-destruct
		tacticalUpdate(kill, %destroyee, %destroyer);
	if(%destroyee==$Sovereign)
	{
		say(0,0,"gen_static01.wav");
		missionObjective1.status= *IDSTR_OBJ_FAILED;
		missionObjective4.status= *IDSTR_OBJ_FAILED;
		killChannel($Sovereign);
		schedule("forceToDebrief();",2);
	}
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
	if ((isGroupDestroyed("MissionGroup/Cybrids/Spawned"))&&($NewGroup))
	{
		$NewGroup= false;	//reset so no repetition
		order($DeltaSix, guard, $Sovereign);
		//Dont remove Delta's Nav Marker, since you cant delete PNMs.
		//say(0,0,"DEBUG: intruders destroyed, 5 shootable pods left");
		schedule("bomberLaunch();",34);
	}
	if ((isGroupDestroyed("MissionGroup/Cybrids/Bombers"))&&(!isGroupDestroyed("MissionGroup/Turrets")))
	{
		damageObject($Gatling1,10000);
		damageObject($Gatling2,10000);
		damageObject($Gatling3,10000);
		damageObject($Gatling4,10000);
	}
	if(getGroup(%destroyee)==getObjectID("MissionGroup/Cybrids/Bombers"))
	{
		damageObject(%destroyee.launcher, 50000);
	}
}

function retaliateAgainstPlayer()
{
	order("MissionGroup/Alliance", attack, $Player);
	order($StrikerSquad, attack, $Player);
	order("PlayerSquad", attack, $Player);
}

function moveOut()
{
	say(0,$StrikerOne,*IDSTR_AB4_STRK4);
	order($Sovereign, guard, "MissionGroup/destination");
	schedule("incomingBrids();",50);
	initDistanceChecks();
}

function vehicle::onArrived(%who, %where)
{
	if ((%who==$Sovereign)&&(%where==getObjectId("MissionGroup/destination")))
		damageObject($Sovereign, 10000);
}

function visualContact()
{
	say(0,0,*IDSTR_AB4_LONG1);
	for(%i=1; %i<=21; %i++)
	{
		%brid= getObjectId("MissionGroup/Cybrids/Attack Force/herc"@%i);
		if (!%brid.dropped) calcAndDrop(%brid, %i*2);		//start firing away!
	}
}

function fleetArrives()
{
	say(0,0,*IDSTR_AB4_LONG2,"he3_long01.wav");
	schedule("say(0,0,*IDSTR_AB4_LONG3);",3);
	schedule("checkForVictory();",6);
	$NoMoreDrops=true;
}
/////////////////Miscellaneous/////////////////////////////////////////////////////////////////
function checkForVictory()
{	
	if (isSafe(*IDSTR_TEAM_YELLOW,$Sovereign,1350))
	{
		missionObjective2.status=*IDSTR_OBJ_COMPLETED;
		missionObjective4.status=*IDSTR_OBJ_COMPLETED;
		if (!isGroupDestroyed("MissionGroup/Turrets")) missionObjective3.status= *IDSTR_OBJ_COMPLETED;
		say(0,0,"gen_oc01.wav");
		say(0,$StrikerOne,*IDSTR_AB4_STRK8);
		order($Sovereign, speed, true);
		setNavMarker($NavConvoy, false);
		doInventory();
		schedule("missionObjective1.status=*IDSTR_OBJ_COMPLETED; forceToDebrief();",5);
	}
	else schedule("checkForVictory();",5);
}

function doInventory()
{
	//No Inventory
}